{
    attributes = (
        {
            columnName = "EM_ID"; 
            externalType = NUMBER; 
            name = emId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "man_id_n"; 
            externalType = NUMBER; 
            name = manIdN; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "man_id_n1"; 
            externalType = NUMBER; 
            name = manIdN1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (emId, manIdN, manIdN1); 
    className = "org.cocktail.maracuja.server.metier.EOExtourneMandat"; 
    classProperties = (toMandatN, toMandatN1); 
    externalName = "maracuja.extourne_mandat"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toMandatN, toMandatN1); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOExtourneMandat"; 
    }; 
    name = ExtourneMandat; 
    primaryKeyAttributes = (emId); 
    relationships = (
        {
            destination = Mandat; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = manId; sourceAttribute = manIdN; }); 
            name = toMandatN; 
        }, 
        {
            destination = Mandat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = manId; sourceAttribute = manIdN1; }); 
            name = toMandatN1; 
        }
    ); 
}
